扩展
===

在开发产品过程中我们积累了一些工具和扩展，部分基于 uiw 组件库扩展，还有一些完全不依赖组件库，这些组件库并**不包含在** [@uiw](https://github.com/uiwjs/uiw) 组件库中，你可以根据需求选择安装使用。

名称 | 版本 | 依赖 | 预览 | 描述
---- | ---- | ---- | ---- | ----
[@uiw/reset.css](https://github.com/uiwjs/reset-css) | [![](https://img.shields.io/npm/v/@uiw/reset.css.svg)](https://www.npmjs.com/package/@uiw/reset.css) | - | - | 一个微小的现代 CSS 重置。
[@uiw/copy-to-clipboard](https://github.com/uiwjs/copy-to-clipboard) | [![](https://img.shields.io/npm/v/@uiw/copy-to-clipboard.svg)](https://www.npmjs.com/package/@uiw/copy-to-clipboard) | - | - | 在现代浏览器中将文本复制到剪贴板。
[@uiw/react-md-editor](https://github.com/uiwjs/react-md-editor) | [![](https://img.shields.io/npm/v/@uiw/react-md-editor.svg)](https://www.npmjs.com/package/@uiw/react-md-editor) | - | [demo](https://uiwjs.github.io/react-md-editor/) | 一个简单的带有预览的 Markdown 编辑器，使用 React 和 TypeScript 实现。
[@uiw/react-monacoeditor](https://github.com/jaywcjlove/react-monacoeditor) | [![](https://img.shields.io/npm/v/@uiw/react-monacoeditor.svg)](https://www.npmjs.com/package/@uiw/react-monacoeditor) | - | [demo](https://jaywcjlove.github.io/react-monacoeditor/) | 基于 React [**@monaco-editor**](https://github.com/Microsoft/monaco-editor) 代码编辑器组件。
[@uiw/react-prismjs](https://github.com/uiwjs/react-prismjs) | [![](https://img.shields.io/npm/v/@uiw/react-prismjs.svg)](https://www.npmjs.com/package/@uiw/react-prismjs) | - | [demo](https://uiwjs.github.io/react-prismjs/) | React Component for prismjs.
[@uiw/react-markdown-editor](https://github.com/uiwjs/react-markdown-editor) | [![](https://img.shields.io/npm/v/@uiw/react-markdown-editor.svg)](https://www.npmjs.com/package/@uiw/react-markdown-editor) | - | [demo](https://uiwjs.github.io/react-markdown-editor/) | 一个带有预览的 Markdown 编辑器，由 React.js 和 TypeScript 基于 [**@CodeMirror**](https://github.com/codemirror) 实现。
[@uiw/react-textarea-code-editor](https://github.com/uiwjs/react-textarea-code-editor) | [![](https://img.shields.io/npm/v/@uiw/react-textarea-code-editor.svg)](https://www.npmjs.com/package/@uiw/react-textarea-code-editor) | - | [demo](https://uiwjs.github.io/react-textarea-code-editor/) | 带有语法高亮的简单代码编辑器。
[@uiw/react-code-preview](https://github.com/uiwjs/react-code-preview) | [![](https://img.shields.io/npm/v/@uiw/react-code-preview.svg)](https://www.npmjs.com/package/@uiw/react-code-preview) | [**@uiw/react-split**](https://github.com/uiwjs/react-split) | [demo](https://uiwjs.github.io/react-code-preview/) | React 的 Markdown 预览，集成代码高亮。
[@uiw/react-markdown-preview](https://github.com/uiwjs/react-markdown-preview) | [![](https://img.shields.io/npm/v/@uiw/react-markdown-preview.svg)](https://www.npmjs.com/package/@uiw/react-markdown-preview) | - | [demo](https://uiwjs.github.io/react-markdown-preview/) | React 的代码编辑实时预览。
[@uiw/react-codemirror](https://github.com/uiwjs/react-codemirror) | [![](https://img.shields.io/npm/v/@uiw/react-codemirror.svg)](https://www.npmjs.com/package/@uiw/react-codemirror) | - | [demo](https://uiwjs.github.io/react-codemirror/) | 基于 React 的 [**@CodeMirror**](https://github.com/codemirror) 组件。
[@uiw/react-baidu-map](https://github.com/uiwjs/react-baidu-map) | [![](https://img.shields.io/npm/v/@uiw/react-baidu-map.svg)](https://www.npmjs.com/package/@uiw/react-baidu-map) | - | [demo](https://uiwjs.github.io/react-baidu-map/) | 一个基于 React 封装的百度地图组件，帮助你轻松的接入地图到 React 项目中。
[@uiw/react-amap](https://github.com/uiwjs/react-amap) | [![](https://img.shields.io/npm/v/@uiw/react-amap.svg)](https://www.npmjs.com/package/@uiw/react-amap) | - | [demo](https://uiwjs.github.io/react-amap/) | 基于 React 封装的高德地图组件，帮助你轻松的接入地图到 React 项目中。
[@uiw/react-clock](https://github.com/uiwjs/react-clock) | [![](https://img.shields.io/npm/v/@uiw/react-clock.svg)](https://www.npmjs.com/package/@uiw/react-clock) | - | [demo](https://uiwjs.github.io/react-clock/) | 基于 React 封装的始终组件。
[@uiw/react-heat-map](https://github.com/uiwjs/react-heat-map) | [![](https://img.shields.io/npm/v/@uiw/react-heat-map.svg)](https://www.npmjs.com/package/@uiw/react-heat-map) | - | [demo](https://uiwjs.github.io/react-heat-map/) | HeatMap 日历热图。
[@uiw/react-mac-keyboard](https://github.com/uiwjs/react-mac-keyboard) | [![](https://img.shields.io/npm/v/@uiw/react-mac-keyboard.svg)](https://www.npmjs.com/package/@uiw/react-mac-keyboard) | - | [demo](https://uiwjs.github.io/react-mac-keyboard/) | Macbook 键盘样式组件。
[@uiw/icons](https://github.com/uiwjs/icons) | [![](https://img.shields.io/npm/v/@uiw/icons.svg)](https://www.npmjs.com/package/@uiw/icons) | - | [demo](https://uiwjs.github.io/icons/) | 组件库内部集成的高级图标字体。
[@uiw/file-icons](https://github.com/uiwjs/file-icons) | [![](https://img.shields.io/npm/v/@uiw/file-icons.svg)](https://www.npmjs.com/package/@uiw/file-icons) | - | [demo](https://uiwjs.github.io/file-icons/) | 文件树中的文件图标字体。
[@uiw/bootstrap-icons](https://github.com/uiwjs/bootstrap-icons) | [![](https://img.shields.io/npm/v/@uiw/bootstrap-icons.svg)](https://www.npmjs.com/package/@uiw/bootstrap-icons) | - | [demo](https://uiwjs.github.io/bootstrap-icons/) | 基于 Bootstrap 官方使用的图标生成的图标字体。
[@uiw/react-github-corners](https://github.com/uiwjs/react-github-corners) | [![](https://img.shields.io/npm/v/@uiw/react-github-corners.svg)](https://www.npmjs.com/package/@uiw/react-github-corners) | - | [demo](https://uiwjs.github.io/react-github-corners/) | GitHub Corners for React.
[@uiw/react-codesandbox](https://github.com/uiwjs/react-codesandbox) | [![](https://img.shields.io/npm/v/@uiw/react-codesandbox.svg)](https://www.npmjs.com/package/@uiw/react-codesandbox) | - | [demo](https://uiwjs.github.io/react-codesandbox/) | A React component is provided that allows you to programmatically generate [codesandbox](https://codesandbox.io/) projects from code samples on the fly.
[@uiw/react-codepen](https://github.com/uiwjs/react-codepen) | [![](https://img.shields.io/npm/v/@uiw/react-codepen.svg)](https://www.npmjs.com/package/@uiw/react-codepen) | - | [demo](https://uiwjs.github.io/react-codepen/) | A React component is provided that allows you to programmatically generate [codepen](https://codepen.io/) projects from code samples on the fly.
[@uiw/react-stackblitz](https://github.com/uiwjs/react-stackblitz) | [![](https://img.shields.io/npm/v/@uiw/react-stackblitz.svg)](https://www.npmjs.com/package/@uiw/react-stackblitz) | - | [demo](https://uiwjs.github.io/react-stackblitz/) | A React component is provided that allows you to programmatically generate [stackblitz](https://stackblitz.com/) projects from code samples on the fly.
[@uiw/react-shields](https://github.com/uiwjs/react-shields) | [![](https://img.shields.io/npm/v/@uiw/react-shields.svg)](https://www.npmjs.com/package/@uiw/react-shields) | - | [demo](https://uiwjs.github.io/react-shields/) | Shields.io for react component, Quality metadata badges for open source projects.
[react-hotkeys](https://github.com/jaywcjlove/react-hotkeys) | [![](https://img.shields.io/npm/v/react-hot-keys.svg)](https://www.npmjs.com/package/react-hot-keys) | - | [demo](https://jaywcjlove.github.io/react-hotkeys/) | 基于 [hotkeys](https://github.com/jaywcjlove/hotkeys) 封装的 React 组件，侦听 keydown 和 keyup 键盘事件，定义和调度键盘快捷键。
[province-city-china](https://github.com/uiwjs/province-city-china) | [![](https://img.shields.io/npm/v/province-city-china.svg)](https://www.npmjs.com/package/province-city-china) | - | - | 最全最新🇨🇳中国【省、市、区县、乡镇街道】json,csv,sql数据。

## React Native

名称 | 版本 | 依赖 | 预览 | 描述
---- | ---- | ---- | ---- | ----
[@uiw/react-native](https://github.com/uiwjs/react-native-uiw) | [![](https://img.shields.io/npm/v/@uiw/react-native.svg)](https://www.npmjs.com/package/@uiw/react-native) | - | [文档](https://uimjs.github.io/) | React Native 组件库。
[@uiw/react-native-template](https://github.com/uiwjs/react-native-template) | [![](https://img.shields.io/npm/v/@uiw/react-native-template.svg)](https://www.npmjs.com/package/@uiw/react-native-template) | - | - | React Native 模板生成器，集成路由、Redux、Mock API等工具。
[@uiw/react-native-alipay](https://github.com/uiwjs/react-native-alipay) | [![](https://img.shields.io/npm/v/@uiw/react-native-alipay.svg)](https://www.npmjs.com/package/@uiw/react-native-alipay) | - | - | 基于 React Native 的宝支付包，已更新到最新的支付宝 SDK 版本，支持Android/iOS。
[@uiw/react-native-amap-geolocation](https://github.com/uiwjs/react-native-amap-geolocation) | [![](https://img.shields.io/npm/v/@uiw/react-native-amap-geolocation.svg)](https://www.npmjs.com/package/@uiw/react-native-amap-geolocation) | - | - | React Native 高德地图定位模块，支持 Android/iOS。
[@uiw/react-native-transport-location](https://github.com/uiwjs/react-native-transport-location) | [![](https://img.shields.io/npm/v/@uiw/react-native-transport-location.svg)](https://www.npmjs.com/package/@uiw/react-native-amap-geolocation) | - | - | 支持 Android/iOS。
[@uiw/react-native-wechat](https://github.com/uiwjs/react-native-wechat) | [![](https://img.shields.io/npm/v/@uiw/react-native-wechat.svg)](https://www.npmjs.com/package/@uiw/react-native-wechat) | - | - | React Native 包使用微信分享、登录、收藏、支付等功能，支持Android/iOS。

## 依赖包

包含在 uiw 组件库的依赖包，可以单独拎出来使用，下面属于 [`@uiw`](https://github.com/uiwjs/uiw) 包含的一些依赖包：

名称 | 版本 | 预览 | 描述
---- | ---- | ---- | ----
[`@uiw/formatter`](https://github.com/uiwjs/date-formatter) | [![npm](https://img.shields.io/npm/v/@uiw/formatter.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/formatter) | [demo](https://codesandbox.io/s/date-formatter-demo-jib1u) | 获取格式化的日期。 
[`@uiw/react-affix`](https://github.com/uiwjs/uiw/packages/react-affix) | [![npm](https://img.shields.io/npm/v/@uiw/react-affix.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-affix) | - | - |
[`@uiw/react-alert`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-alert) | [![npm](https://img.shields.io/npm/v/@uiw/react-alert.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-alert) | - | - |
[`@uiw/react-avatar`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-avatar) | [![npm](https://img.shields.io/npm/v/@uiw/react-avatar.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-avatar) | - | - |
[`@uiw/react-back-top`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-back-top) | [![npm](https://img.shields.io/npm/v/@uiw/react-back-top.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-back-top) | - | - |
[`@uiw/react-badge`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-badge) | [![npm](https://img.shields.io/npm/v/@uiw/react-badge.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-badge) | - | - |
[`@uiw/react-breadcrumb`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-breadcrumb) | [![npm](https://img.shields.io/npm/v/@uiw/react-breadcrumb.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-breadcrumb) | - | - |
[`@uiw/react-button`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-button) | [![npm](https://img.shields.io/npm/v/@uiw/react-button.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-button) | - | - |
[`@uiw/react-button-group`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-button-group) | [![npm](https://img.shields.io/npm/v/@uiw/react-button-group.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-button-group) | - | - |
[`@uiw/react-calendar`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-calendar) | [![npm](https://img.shields.io/npm/v/@uiw/react-calendar.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-calendar) | - | - |
[`@uiw/react-card`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-card) | [![npm](https://img.shields.io/npm/v/@uiw/react-card.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-card) | - | - |
[`@uiw/react-checkbox`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-checkbox) | [![npm](https://img.shields.io/npm/v/@uiw/react-checkbox.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-checkbox) | - | - |
[`@uiw/react-collapse`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-collapse) | [![npm](https://img.shields.io/npm/v/@uiw/react-collapse.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-collapse) | - | - |
[`@uiw/react-copy-to-clipboard`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-copy-to-clipboard) | [![npm](https://img.shields.io/npm/v/@uiw/react-copy-to-clipboard.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-copy-to-clipboard) | - | - |
[`@uiw/react-date-input`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-date-input) | [![npm](https://img.shields.io/npm/v/@uiw/react-date-input.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-date-input) | - | - |
[`@uiw/react-date-picker`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-date-picker) | [![npm](https://img.shields.io/npm/v/@uiw/react-date-picker.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-date-picker) | - | - |
[`@uiw/react-descriptions`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-descriptions) | [![npm](https://img.shields.io/npm/v/@uiw/react-descriptions.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-descriptions) | - | - |
[`@uiw/react-divider`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-divider) | [![npm](https://img.shields.io/npm/v/@uiw/react-divider.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-divider) | - | - |
[`@uiw/react-drawer`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-drawer) | [![npm](https://img.shields.io/npm/v/@uiw/react-drawer.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-drawer) | - | - |
[`@uiw/react-dropdown`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-dropdown) | [![npm](https://img.shields.io/npm/v/@uiw/react-dropdown.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-dropdown) | - | - |
[`@uiw/react-file-input`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-file-input) | [![npm](https://img.shields.io/npm/v/@uiw/react-file-input.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-file-input) | - | - |
[`@uiw/react-form`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-form) | [![npm](https://img.shields.io/npm/v/@uiw/react-form.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-form) | - | - |
[`@uiw/react-grid`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-grid) | [![npm](https://img.shields.io/npm/v/@uiw/react-grid.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-grid) | - | - |
[`@uiw/react-icon`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-icon) | [![npm](https://img.shields.io/npm/v/@uiw/react-icon.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-icon) | - | - |
[`@uiw/react-input`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-input) | [![npm](https://img.shields.io/npm/v/@uiw/react-input.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-input) | - | - |
[`@uiw/react-layout`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-layout) | [![npm](https://img.shields.io/npm/v/@uiw/react-layout.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-layout) | - | - |
[`@uiw/react-list`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-list) | [![npm](https://img.shields.io/npm/v/@uiw/react-list.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-list) | - | - |
[`@uiw/react-loader`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-loader) | [![npm](https://img.shields.io/npm/v/@uiw/react-loader.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-loader) | - | - |
[`@uiw/react-menu`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-menu) | [![npm](https://img.shields.io/npm/v/@uiw/react-menu.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-menu) | - | - |
[`@uiw/react-message`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-message) | [![npm](https://img.shields.io/npm/v/@uiw/react-message.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-message) | - | - |
[`@uiw/react-modal`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-modal) | [![npm](https://img.shields.io/npm/v/@uiw/react-modal.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-modal) | - | - |
[`@uiw/react-month-picker`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-month-picker) | [![npm](https://img.shields.io/npm/v/@uiw/react-month-picker.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-month-picker) | - | - |
[`@uiw/react-notify`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-notify) | [![npm](https://img.shields.io/npm/v/@uiw/react-notify.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-notify) | - | - |
[`@uiw/react-overlay`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-overlay) | [![npm](https://img.shields.io/npm/v/@uiw/react-overlay.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-overlay) | - | - |
[`@uiw/react-overlay-trigger`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-overlay-trigger) | [![npm](https://img.shields.io/npm/v/@uiw/react-overlay-trigger.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-overlay-trigger) | - | - |
[`@uiw/react-pagination`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-pagination) | [![npm](https://img.shields.io/npm/v/@uiw/react-pagination.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-pagination) | - | - |
[`@uiw/react-pin-code`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-pin-code) | [![npm](https://img.shields.io/npm/v/@uiw/react-pin-code.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-pin-code) | - | - |
[`@uiw/react-popover`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-popover) | [![npm](https://img.shields.io/npm/v/@uiw/react-popover.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-popover) | - | - |
[`@uiw/react-portal`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-portal) | [![npm](https://img.shields.io/npm/v/@uiw/react-portal.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-portal) | - | - |
[`@uiw/react-progress`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-progress) | [![npm](https://img.shields.io/npm/v/@uiw/react-progress.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-progress) | - | - |
[`@uiw/react-radio`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-radio) | [![npm](https://img.shields.io/npm/v/@uiw/react-radio.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-radio) | - | - |
[`@uiw/react-rate`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-rate) | [![npm](https://img.shields.io/npm/v/@uiw/react-rate.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-rate) | - | - |
[`@uiw/react-search-select`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-search-select) | [![npm](https://img.shields.io/npm/v/@uiw/react-search-select.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-search-select) | - | - |
[`@uiw/react-select`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-select) | [![npm](https://img.shields.io/npm/v/@uiw/react-select.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-select) | - | - |
[`@uiw/react-split`](https://github.com/uiwjs/react-split) | [![npm](https://img.shields.io/npm/v/@uiw/react-split.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-split) | [demo](https://uiwjs.github.io/react-split/) | 可将一块内容，分割为可以拖拽调整宽度或高度的区域。
[`@uiw/react-slider`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-slider) | [![npm](https://img.shields.io/npm/v/@uiw/react-slider.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-slider) | - | - |
[`@uiw/react-steps`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-steps) | [![npm](https://img.shields.io/npm/v/@uiw/react-steps.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-steps) | - | - |
[`@uiw/react-switch`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-switch) | [![npm](https://img.shields.io/npm/v/@uiw/react-switch.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-switch) | - | - |
[`@uiw/react-table`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-table) | [![npm](https://img.shields.io/npm/v/@uiw/react-table.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-table) | - | - |
[`@uiw/react-tabs`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-tabs) | [![npm](https://img.shields.io/npm/v/@uiw/react-tabs.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-tabs) | - | - |
[`@uiw/react-tag`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-tag) | [![npm](https://img.shields.io/npm/v/@uiw/react-tag.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-tag) | - | - |
[`@uiw/react-textarea`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-textarea) | [![npm](https://img.shields.io/npm/v/@uiw/react-textarea.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-textarea) | - | - |
[`@uiw/react-time-picker`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-time-picker) | [![npm](https://img.shields.io/npm/v/@uiw/react-time-picker.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-time-picker) | - | - |
[`@uiw/react-tooltip`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-tooltip) | [![npm](https://img.shields.io/npm/v/@uiw/react-tooltip.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-tooltip) | - | - |
[`@uiw/react-tree`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-tree) | [![npm](https://img.shields.io/npm/v/@uiw/react-tree.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-tree) | - | - |
[`@uiw/react-tree-checked`](https://github.com/uiwjs/uiw/tree/master/packages/packages/react-tree-checked) | [![npm](https://img.shields.io/npm/v/@uiw/react-tree-checked.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/react-tree-checked) | - | - |
[`@uiw/utils`](https://github.com/uiwjs/uiw/tree/master/packages/packages/utils) | [![npm](https://img.shields.io/npm/v/@uiw/utils.svg?maxAge=3600)](https://www.npmjs.com/package/@uiw/utils) | - | - |

## 工具

名称 | 版本 | 预览 | 描述
---- | ---- | ---- | ----
[kkt](https://github.com/kktjs/kkt) | [![](https://img.shields.io/npm/v/kkt.svg)](https://www.npmjs.com/package/kkt) | [文档](https://kktjs.github.io/kkt) | 创建没有构建配置的React应用程序，这是用于创建React应用程序的Cli工具。
[tsbb](https://github.com/jaywcjlove/tsbb) | [![](https://img.shields.io/npm/v/tsbb.svg)](https://www.npmjs.com/package/tsbb) | [文档](http://jaywcjlove.github.io/tsbb) | 一个零配置CLI，可帮助您开发，测试和发布现代 TypeScript 项目。
[sgo](https://github.com/jaywcjlove/sgo) | [![](https://img.shields.io/npm/v/sgo.svg)](https://www.npmjs.com/package/sgo) | [文档](https://jaywcjlove.github.io/sgo) | 一个用于快速原型开发的开发服务器。 将目录设置为静态服务器，它提供404整洁的界面，用于列出目录的内容并切换到子文件夹。
[mocker-api](https://github.com/jaywcjlove/mocker-api) | [![](https://img.shields.io/npm/v/mocker-api.svg)](https://www.npmjs.com/package/mocker-api) | [文档](https://jaywcjlove.github.io/mocker-api) | 用于为 REST API 创建模拟。 当您尝试在没有实际 REST API 服务器的情况下测试应用程序时，这将很有帮助。
[svgtofont](https://github.com/jaywcjlove/svgtofont) | [![](https://img.shields.io/npm/v/svgtofont.svg)](https://www.npmjs.com/package/svgtofont) | [文档](https://jaywcjlove.github.io/svgtofont) | 阅读一组SVG图标并输出 TTF/EOT/WOFF/WOFF2/SVG 字体。
[bannerjs](https://github.com/jaywcjlove/bannerjs) | [![](https://img.shields.io/npm/v/bannerjs.svg)](https://www.npmjs.com/package/bannerjs) | [文档](https://jaywcjlove.github.io/bannerjs) | 将注释添加到代码中。 获取基于package.json的单行/多行注释横幅。
[markdown-to-html-cli](https://github.com/jaywcjlove/markdown-to-html-cli) | [![](https://img.shields.io/npm/v/markdown-to-html-cli.svg)](https://www.npmjs.com/package/markdown-to-html-cli) | [文档](https://jaywcjlove.github.io/markdown-to-html-cli) | 将 Markdown 文本转换为 HTML，提供命令行工具和方法。
[coverage-badges-cli](https://github.com/jaywcjlove/coverage-badges-cli) | [![](https://img.shields.io/npm/v/coverage-badges-cli.svg)](https://www.npmjs.com/package/coverage-badges-cli) | [文档](https://jaywcjlove.github.io/coverage-badges-cli) | 从覆盖率报告创建覆盖率徽章。
[compile-less](https://github.com/jaywcjlove/compile-less) | [![](https://img.shields.io/npm/v/compile-less-cli.svg)](https://www.npmjs.com/package/compile-less-cli) | [文档](https://jaywcjlove.github.io/compile-less) | 将所有 `.less` 文件编译为 `.css` 文件。。
[next-remove-imports](https://github.com/uiwjs/next-remove-imports) | [![](https://img.shields.io/npm/v/next-remove-imports.svg)](https://www.npmjs.com/package/next-remove-imports) | [文档](https://uiwjs.github.io/next-remove-imports/) | The default behavior is to remove all .less/.css/.scss/.sass/.styl imports from all packages in node_modules.

## 一些小工具

名称 | 版本 | 预览 | 描述
---- | ---- | ---- | ----
[nginx-editor](https://github.com/jaywcjlove/nginx-editor) | - | [home](https://jaywcjlove.github.io/nginx-editor) | 基于 Monaco 的 nginx 编辑器，支持语法提示。
[npm-unpkg](https://github.com/uiwjs/npm-unpkg) | - | [home](https://uiwjs.github.io/npm-unpkg) | 基于unpkg的Web应用程序，用于查看npm软件包文件。
[ui-color](https://github.com/uiwjs/ui-color) | - | [home](https://uiwjs.github.io/ui-color/) | Converting HEX & RGB colors to UIColor/NSColor/Color for both Objective C & Swift.
